Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# SDLmm::SRect Class Reference

This enhanced version of SDL_Rect includes a number of handy short-hand constructors. Since the class is derived from the SDL_Rect struct, it can be used in any context where an SDL_Rect is valid. More...

`#include <sdlmm_srect.h>`

Inheritance diagram for SDLmm::SRect:

[legend]
List of all members.

## Public Methods
| SRect ()
| Default constructor which creates an empty SRect (xywh variables set to sero). More...
| SRect (const SRect &rect)
| This is the copy constructor. Simply initializes the value of an SRect to that of another SRect. More...
| SRect (const SDL_Rect &rect)
| Constructor which initializes the class from an SDL_Rect struct. More...
| SRect (const SPoint &point)
| Constructor which initializes the class from an SPoint object. More...
| SRect (const SPoint &upper_left_point, const SPoint &bottom_right_point)
| Construct an object using the given upper left and bottom right corners. More...
| SRect (const SPoint &point, Uint16 nw, Uint16 nh)
| Constructor which initializes the class from an SPoint object and integer values. More...
| SRect (Sint16 nx, Sint16 ny, Uint16 nw, Uint16 nh)
| Constructor which initializes the class from integer values. More...
| SRect (Uint16 nw, Uint16 nh)
| Constructor which initializes the width and height from integer values. More...
SRect& | operator= (const SDL_Rect &rect)
| Set the value of an SRect to that of an existing SDL_Rect or SRect. More...
bool | operator== (const SDL_Rect &rect) const
| Compare two rectangles for equality. More...
SPoint | GetUpperLeft () const
| Get the coordinates for the upper left corner of the SRect. More...
SPoint | GetUpperRight () const
| Get the coordinates for the upper right corner of the SRect. More...
SPoint | GetBottomLeft () const
| Get the coordinates for the bottom left corner of the SRect. More...
SPoint | GetBottomRight () const
| Get the coordinates for the bottom right corner of the SRect. More...

## Detailed Description

This enhanced version of SDL_Rect includes a number of handy short-hand constructors. Since the class is derived from the SDL_Rect struct, it can be used in any context where an SDL_Rect is valid.

Todo:
  Extend the class with useful utility functions in regards to rectangles like intersections.

Author:
  David Hedbor <david@hedbor.org>

## Constructor & Destructor Documentation

SDLmm::SRect::SRect ( | )

| Default constructor which creates an empty SRect (xywh variables set to sero).

SDLmm::SRect::SRect ( | const SRect & rect )

  | This is the copy constructor. Simply initializes the value of an SRect to that of another SRect. Parameters:
  rect | an existing SRect object.

SDLmm::SRect::SRect ( | const SDL_Rect & rect )

  | Constructor which initializes the class from an SDL_Rect struct. Parameters:
  rect | an existing SDL_Rect struct.

SDLmm::SRect::SRect ( | const SPoint & point )

  | Constructor which initializes the class from an SPoint object. The x and y values will be initialized with the x/y values of the SPoint. h and w will be set to zero. Parameters:
  point | reference to an existing SPoint object.

SDLmm::SRect::SRect ( | const SPoint & upper_left_point,
| const SPoint & bottom_right_point )

  | Construct an object using the given upper left and bottom right corners. Parameters:
  upper_left_point | SPoint for the upper right corner of the rectangle
  bottom_right_point | SPoint for the bottom right corner of the rectangle

SDLmm::SRect::SRect ( | const SPoint & point,
| Uint16 nw,
| Uint16 nh )

  | Constructor which initializes the class from an SPoint object and integer values. The x and y values will be initialized with the x/y values of the SPoint and the dimensions from nw and nh. Parameters:
  nw, nh | the width and height of the rectangle
  point | reference to an existing SPoint object for the upper right corner.

SDLmm::SRect::SRect ( | Sint16 nx,
| Sint16 ny,
| Uint16 nw,
| Uint16 nh )

  | Constructor which initializes the class from integer values. Parameters:
  nx, ny | position of the upper left corner of the rectangle
  nw, nh | the width and height of the rectangle

SDLmm::SRect::SRect ( | Uint16 nw,
| Uint16 nh )

  | Constructor which initializes the width and height from integer values. The x/y coordinates for the upper left corner will be set to zero. Parameters:
  nw, nh | the width and height of the rectangle

## Member Function Documentation

SPoint SDLmm::SRect::GetBottomLeft ( | ) const`[inline]`

| Get the coordinates for the bottom left corner of the SRect. Returns: SPoint object

SPoint SDLmm::SRect::GetBottomRight ( | ) const`[inline]`

| Get the coordinates for the bottom right corner of the SRect. Returns: SPoint object

SPoint SDLmm::SRect::GetUpperLeft ( | ) const`[inline]`

| Get the coordinates for the upper left corner of the SRect. Returns: SPoint object

SPoint SDLmm::SRect::GetUpperRight ( | ) const`[inline]`

| Get the coordinates for the upper right corner of the SRect. Returns: SPoint object

SRect & SDLmm::SRect::operator= ( | const SDL_Rect & rect )`[inline]`

| Set the value of an SRect to that of an existing SDL_Rect or SRect.

bool SDLmm::SRect::operator== ( | const SDL_Rect & rect ) const`[inline]`

| Compare two rectangles for equality. Returns: true if x / y coordinates and h / w are identical in both rectangles.

The documentation for this class was generated from the following files:

- sdlmm_srect.h
- sdlmm_srect.cpp

Documentation automatically generated by written by Dimitri van Heesch. | Project hosted at